package twopm.tech.bench.jaxrs;

import java.io.IOException;
import org.jboss.resteasy.core.ResteasyDeploymentImpl;
import org.jboss.resteasy.plugins.server.undertow.UndertowJaxrsServer;
import org.jboss.resteasy.spi.ResteasyDeployment;
public class Bench {

	public static void main(String[] args) throws IOException, InterruptedException {
		ResteasyDeployment deployment = new ResteasyDeploymentImpl();
		deployment.getActualResourceClasses().add(TestResource.class);
		UndertowJaxrsServer server = new UndertowJaxrsServer();
		server.deploy(deployment);
		server.setPort(8080);
		server.setRootResourcePath("");
		server.setSecurityDomain(null);
		server.start();
	}
}
